define([], function(){
    return function(thing)
    {
        type = typeof thing;

        if (thing === null)
            type = 'null';
        else if (type === 'object')
            type = 'array';

        return type;
    }
});